### Interface

# Goa Exchange

since: 3.6.0

#### Description [src]

    interface Goa.Exchange : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Exchange.

Available since: 3.6.0

#### Prerequisite

In order to implement Exchange, your type must inherit from`GObject`.

#### Implementations

- GoaExchangeProxy
- GoaExchangeSkeleton

#### Functions

###### goa_exchange_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Exchange D-Bus interface.

since: 3.6.0

###### goa_exchange_override_properties

Overrides all `GObject` properties in the `GoaExchange` interface for a concrete class. The properties are overridden in the order they are defined.

since: 3.6.0

#### Instance methods

###### goa_exchange_dup_host

Gets a copy of the “Host” D-Bus property.

since: 3.6.0

###### goa_exchange_get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

since: 3.6.0

###### goa_exchange_get_host

Gets the value of the “Host” D-Bus property.

since: 3.6.0

###### goa_exchange_set_accept_ssl_errors

Sets the “AcceptSslErrors” D-Bus property to `value`.

since: 3.6.0

###### goa_exchange_set_host

Sets the “Host” D-Bus property to `value`.

since: 3.6.0

#### Properties

###### Goa.Exchange:accept-ssl-errors

Represents the D-Bus property “AcceptSslErrors”.

since: 3.6.0

###### Goa.Exchange:host

Represents the D-Bus property “Host”.

since: 3.6.0

#### Interface structure

    struct GoaExchangeIface {
      GTypeInterface parent_iface;
      gboolean (* get_accept_ssl_errors) (
        GoaExchange* object
      );
      const gchar* (* get_host) (
        GoaExchange* object
      );

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Exchange.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`get_accept_ssl_errors`

    gboolean (* get_accept_ssl_errors) (
        GoaExchange* object
      )

| Getter for the `GoaExchange:accept-ssl-errors` property.

`get_host`

    const gchar* (* get_host) (
        GoaExchange* object
      )

| Getter for the `GoaExchange:host` property.

#### Virtual methods

###### Goa.Exchange.get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

since: 3.6.0

###### Goa.Exchange.get_host

Gets the value of the “Host” D-Bus property.

since: 3.6.0